<?xml version="1.0" encoding="UTF-8"?>
<!--
Arrebol Consultancy copyright.

This code belongs to Arrebol Consultancy
its use, redistribution or modification are prohibited 
without written authorization from Arrebol Consultancy.
-->

<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    <class name="com.arrebol.taxiservicios.model.view.DriverInactiveAndBlackListView" table="DRIVER_INACTIVE_AND_BLACK_LIST_VIEW" catalog="crov_spa" mutable="false">
        <id name="id" type="string">
            <column name="id" length="36" />
        </id>
        <property name="fullName" type="string">
            <column name="full_name" length="103"/>
        </property>
        <property name="localNumber" type="string">
            <column name="contact_number_local" length="20"/>
        </property>
        <property name="mobileNumber" type="string">
            <column name="contact_number_mobile" length="20"/>
        </property>
        <property name="address" type="string">
            <column name="address" length="250"/>
        </property>       
        <property name="admissionDate" type="timestamp">
            <column length="19" name="driver_admission_date"/>
        </property>
        <property name="blackList" column="black_list">
            <type name="org.hibernate.type.EnumType">
                <param name="enumClass">com.arrebol.taxiservicios.model.enums.GenericEnumType</param>
                <param name="useNamed">true</param>
            </type>
        </property>        
         <property name="blackListDesc" type="string" length="500">
            <column name="black_list_description" />
        </property>        
        <property name="blackListDate" type="timestamp">
            <column length="19" name="black_list_date"/>
        </property>
        <property name="blackListAdeudo" type="float">
            <column name="black_list_adeudo" />
        </property>
        <many-to-one class="com.arrebol.taxiservicios.model.catalog.Location" fetch="select" name="location">
            <column length="36" name="id_location" not-null="false"/>
        </many-to-one>
    </class>
</hibernate-mapping>